<template>
  <div class="screen-common-component">
    <ScreenComHeader :module-id="moduleId" title="订单信息" />
    <dv-scroll-board
      :config="config"
      style="width: 100%; height: calc(100% - 32px)"
      @mouseover="tableHover"
    />
  </div>
</template>

<script lang="ts" setup>
import ScreenComHeader from "@/views/screens/configs/screenComHeader.vue";
import { productionPlan } from "@/api/screens";

const config = ref({});

const props = defineProps({
  moduleId: {
    type: String,
    required: true,
  },
});

onMounted(async () => {
  let res = await productionPlan();
  if (res.data.length > 0) {
    let dicts = {
      orderName: "名称",
      // orderCode: "编码",
      orderNum: "数量",
      deliverTime: "交期",
    };

    let bigData: any[] = [];
    res.data.forEach((item: any) => {
      let row = [
        item.orderName,
        // item.orderCode,
        item.orderNum,
        item.deliverTime,
      ];
      bigData.push(row);
    });

    config.value = {
      header: Object.values(dicts),
      data: bigData,
      // index: true,
      // columnWidth: [50],
      align: ["left"],
      carousel: "page",
      click: (row: any, index: number) => {
        console.log("mouseover", row, index);
      },
    };
  }
});

const tableHover = (data: any) => {
  // console.log("mouseover", data.row[data.columnIndex]);
};
</script>
